{
  "name": "ffb-cqrs",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build && npm run copyGrpc",
    "build:watch": "nest build --watch && npm run copyGrpc",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "concurrently \"npm run start:supergraph\" \" npm run start:hq\"",
    "start:supergraph": "@powershell Copy-Item environment/supergraph.default.env .env && nest start -- switchEnv=environment/supergraph.default.env",
    "start:subgraph": "@powershell Copy-Item environment/subgraph.default.env .env && npm run start",
    "start:hq": "nest start -- switchEnv=environment/subgraph.hq.env",
    "start:site1": "nest start -- switchEnv=environment/subgraph.site1.env",
    "start:site2": "nest start -- switchEnv=environment/subgraph.site2.env",
    "start:dev": "nest start --watch",
    "start:dev_multi": "concurrently \"npm run start:supergraph\" \" npm run start:hq\" \" npm run start:site1\" \" npm run start:site2\"",
    "copyGrpc": "@powershell copy -Recurse -Force './src/CommonMicroserviceModule/clients/DomainProxy/src/services/grpc' './dist/CommonMicroserviceModule/clients/DomainProxy/src/services/'",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json",
    "preinstall": "npx npm-force-resolutions",
    "generate": "graphql-codegen --config codegen.yml"
  },
  "dependencies": {
    "@apollo/client": "^3.6.9",
    "@graphql-codegen/cli": "^2.3.1",
    "@grpc/grpc-js": "^1.7.3",
    "@grpc/proto-loader": "^0.7.3",
    "@improbable-eng/grpc-web": "^0.15.0",
    "@nestjs/axios": "^0.0.1",
    "@nestjs/common": "^8.0.0",
    "@nestjs/config": "^1.1.6",
    "@nestjs/core": "^8.0.0",
    "@nestjs/cqrs": "^8.0.5",
    "@nestjs/microservices": "^8.0.6",
    "@nestjs/platform-express": "^8.0.0",
    "@nestjs/schedule": "^1.0.2",
    "apollo": "^2.33.9",
    "apollo-boost": "^0.4.9",
    "axios": "^0.21.1",
    "axios-observable": "^1.3.0",
    "cache-manager": "^3.6.0",
    "class-transformer": "^0.4.0",
    "class-validator": "^0.13.2",
    "concurrently": "^7.4.0",
    "cross-fetch": "^3.1.5",
    "google-protobuf": "^3.21.2",
    "graphql": "^15.8.0",
    "graphql-playground-html": "^1.6.30",
    "graphql-tag": "^2.12.6",
    "isomorphic-fetch": "^3.0.0",
    "jade": "^1.11.0",
    "jsonschema": "^1.4.0",
    "node-localstorage": "^2.2.1",
    "object-mapper": "^6.2.0",
    "react": "^18.2.0",
    "reflect-metadata": "^0.1.13",
    "rfdc": "^1.3.0",
    "rimraf": "^3.0.2",
    "rxjs": "^7.3.0",
    "socket.io-client": "^2.4.0",
    "uuid": "^8.3.2"
  },
  "devDependencies": {
    "@graphql-codegen/cli": "2.3.1",
    "@graphql-codegen/typescript": "2.4.2",
    "@graphql-codegen/typescript-resolvers": "2.4.3",
    "@nestjs/cli": "^8.0.0",
    "@nestjs/schematics": "^8.0.0",
    "@nestjs/testing": "^8.0.0",
    "@types/cache-manager": "^3.4.2",
    "@types/cron": "^1.7.3",
    "@types/express": "^4.17.13",
    "@types/node": "^16.11.43",
    "@types/supertest": "^2.0.11",
    "@typescript-eslint/eslint-plugin": "^4.33.0",
    "@typescript-eslint/parser": "^4.33.0",
    "eslint": "^7.30.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^3.4.0",
    "jest": "27.0.6",
    "prettier": "^2.3.2",
    "supertest": "^6.1.3",
    "ts-jest": "^27.0.3",
    "ts-loader": "^9.2.3",
    "ts-node": "^10.0.0",
    "tsconfig-paths": "^3.10.1",
    "typescript": "^4.6.3"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
